
Redmine - Defect #20066

List of groups sorted in desc by default

2015-06-10 15:39 - Benjamin Billon

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Groups Estimated time: 0.00 hour

Target version: 3.0.4   

Resolution: Fixed Affected version: 3.0.1

Description

Hi there,

I only noticed now, but in Administration > Groups, the groups are listed in alpha revert order, and I can't find any good reason why.

models/group.rb contains:

35 | scope :sorted, lambda { order(:type => :asc, :lastname => :desc) }

 I changed "desc" to "asc" in my settings (Redmine 3.0.1), but I'm wondering if that should stay that way in next releases.

Associated revisions

Revision 14380 - 2015-06-28 10:39 - Jean-Philippe Lang

Fixed group sorted scope order (#20066).

Revision 14385 - 2015-06-28 12:00 - Jean-Philippe Lang

Merged r14380 (#20066).

Revision 14386 - 2015-06-28 12:01 - Jean-Philippe Lang

Merged r14380 (#20066).

History

#1 - 2015-06-28 10:39 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 3.0.4

- Resolution set to Fixed

Fixed in r14380, thanks for pointing this out.

#2 - 2015-06-28 12:01 - Jean-Philippe Lang

- Status changed from Resolved to Closed
